org.eclipse.emf.cdo.spi.common.branch

## Interface CDOBranchAdjustable

- All Known Subinterfaces:
    InternalCDORevision, InternalCDORevisionDelta
  All Known Implementing Classes:
    AbstractCDORevision, BaseCDORevision, DelegatingCDORevision, DetachedCDORevision, PointerCDORevision, StubCDORevision, SyntheticCDORevision

      public interface CDOBranchAdjustable

  Since:
    4.3
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjustBranches(CDOBranchManager newBranchManager)`

- - ### Method Detail

    - #### adjustBranches

          void adjustBranches(CDOBranchManager newBranchManager)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html